searchData={"items":[{"type":"module","title":"ExKeccak","doc":"# ExKeccak\n\n[![CI](https://github.com/tzumby/ex_keccak/actions/workflows/ci.yml/badge.svg)](https://github.com/tzumby/ex_keccak/actions/workflows/ci.yml)\n\nExKeccak is a NIF that wraps the KECCAK-256 function from the [tiny-keccak](https://github.com/debris/tiny-keccak) Rust library. KECCAK-256 is used by Ethereum.","ref":"ExKeccak.html"},{"type":"module","title":"Installation - ExKeccak","doc":"The package can be installed by adding `ex_keccak` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_keccak, \"~> 0.7.6\"}\n  ]\nend\n```","ref":"ExKeccak.html#module-installation"},{"type":"module","title":"Force compilation - ExKeccak","doc":"This library includes pre-compiled binaries for the native Rust code. If you \nwant to force-compile the Rust code, you can add the following configuration\nto your application:\n\n```\nconfig :rustler_precompiled, :force_build, ex_keccak: true\n```\n\nYou also need to add Rusler to your dependencies:\n\n```\ndef deps do\n  [\n    {:ex_keccak, \"~> 0.7.6\"},\n    {:rustler, \">= 0.0.0\", optional: true}\n  ]\nend\n```","ref":"ExKeccak.html#module-force-compilation"},{"type":"module","title":"Usage - ExKeccak","doc":"To calculate KECCAK-256 hash, use `ExKeccak.hash_256/1` function. It returns `result` on success:\n\n```elixir\n  <<28, 138, 255, 149, 6, 133, 194, 237, 75, 195, 23, 79, 52, 114, 40, 123, 86, 217, 81, 123, 156, 148, 129, 39, 49, 154, 9, 167, 163, 109, 234, 200>> = ExKeccak.hash_256(\"hello\")\n```\n\nAnd it returns `ArgumentError` is provided data is not binary","ref":"ExKeccak.html#module-usage"},{"type":"module","title":"Contributing - ExKeccak","doc":"1. [Fork it!](https://github.com/tzumby/ex_keccak)\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin my-new-feature`)\n5. Create new Pull Request","ref":"ExKeccak.html#module-contributing"},{"type":"module","title":"License - ExKeccak","doc":"ExKeccak is released under the Apache-2.0 License.","ref":"ExKeccak.html#module-license"},{"type":"function","title":"ExKeccak.hash_256/1","doc":"","ref":"ExKeccak.html#hash_256/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}